/*
 * Atm_led_mcp.h
 *
 *  Created on: 09.12.2017
 *      Author: ian
 */

#ifndef ATM_LED_TLC_H_
#define ATM_LED_TLC_H_

#include "Adafruit_TLC59711.h"
#include <Atm_led.hpp>

class Atm_led_TLC: public Atm_led {
public:
	Atm_led_TLC(Adafruit_TLC59711& _tlc);
	Atm_led_TLC& setMinMax(int min, int max);

private:
	Adafruit_TLC59711& tlc;
	int current_level;
	int pwm_min, pwm_max = 65535 ;

protected:
	virtual void initLED();
	virtual void switchOn();
	virtual void switchOff();
  virtual void setBrightness(int value);
	virtual int mapLevel(int level);
};

#endif /* SRC_ATM_LED_MCP_H_ */
