/*
 * Atm_led_mcp.h
 *
 *  Created on: 09.12.2017
 *      Author: ian
 */

#ifndef ATM_LED_WS2812_H_
#define ATM_LED_WS2812_H_

#include "FastLED.h"
#include <Atm_led.hpp>

class Atm_led_WS2812: public Atm_led {
public:
	Atm_led_WS2812(CRGB& _leds );
	Atm_led_WS2812& setMinMax(int min, int max);
	Atm_led_WS2812& setHueSat(int hue, int sat);


private:
	CRGB& leds;
	int current_level;
	int pwm_min, pwm_max = 65535 ;
	CHSV color ;

protected:
	virtual void initLED();
	virtual void switchOn();
	virtual void switchOff();
  virtual void setBrightness(int value);
};

#endif /* SRC_ATM_LED_MCP_H_ */
